package de.hft.stuttgart.citydoctor2.gui;

import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.TextArea;
import javafx.scene.image.Image;
import javafx.scene.input.KeyCode;
import javafx.scene.input.KeyEvent;
import javafx.scene.layout.VBox;
import javafx.stage.Modality;
import javafx.stage.Stage;
import javafx.stage.Window;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.io.IOException;

public class ZipEntryPicker {

    private static final Logger logger = LogManager.getLogger(ZipEntryPicker.class);

    private Stage stage;

    @FXML
    private Button cancelBtn;

    @FXML
    private Button loadBtn;

    @FXML
    private TextArea metaArea;

    private CityDoctorController controller;

    public ZipEntryPicker(Window parent, CityDoctorController controller) throws IOException {
        FXMLLoader loader = new FXMLLoader(ZipEntryPicker.class.getResource("ZipEntryPicker.fxml"));
        loader.setController(this);
        VBox box = loader.load();
        this.controller = controller;
        stage = new Stage();
        stage.getIcons().add(new Image(MainWindow.class.getResourceAsStream("icons/CityDoctor-Logo-rot_klein.jpg")));
        stage.setScene(new Scene(box));
        stage.initOwner(parent);
        stage.initModality(Modality.APPLICATION_MODAL);
        stage.setTitle("Zip-Entry Picker");
        stage.getScene().addEventFilter(KeyEvent.KEY_PRESSED, (KeyEvent event) -> {
            if (event.getCode() == KeyCode.ESCAPE) {
                stage.close();
            }
        });
    }

    public void initialize() {
        applyLanguageControls();
    }

    private void applyLanguageControls() {

    }
}
